-- ----------------------------------------------------------------
-- リマインダー
-- ----------------------------------------------------------------
CREATE TABLE TT_REMINDER (
    id                              CHAR(12) NOT NULL ,
    chat_id                         CHAR(12) NOT NULL ,
    created_time                    CHAR(14) NOT NULL ,
    updated_time                    CHAR(14) NOT NULL ,
    created_by                      CHAR(12) NOT NULL ,
    updated_by                      CHAR(12) ,
    title_                          VARCHAR(300) NOT NULL ,
    memo_                           VARCHAR(500) ,
    notice_time                     CHAR(4) NOT NULL ,
    notice_date                     CHAR(8) ,
    start_date                      CHAR(8) ,
    end_date                        CHAR(8) ,
    repeat_                         CHAR(1) ,
    every_week                      DECIMAL(1) ,
    every_weekday                   CHAR(7) ,
    interval_                       DECIMAL(2) ,
    repeat_times                    DECIMAL(3) 
    )
;

ALTER TABLE TT_REMINDER
    ADD CONSTRAINT TT_REMINDER_PK PRIMARY KEY (id)
;
-- ----------------------------------------------------------------
-- リマインダー繰り返し
-- ----------------------------------------------------------------
CREATE TABLE TT_REMINDER_REPDATE (
    id                              CHAR(12) NOT NULL ,
    sid_assign                      DECIMAL(8) NOT NULL ,
    created_time                    CHAR(14) NOT NULL ,
    updated_time                    CHAR(14) NOT NULL 
    )
;

ALTER TABLE TT_REMINDER_REPDATE
    ADD CONSTRAINT TT_REMINDER_REPDATE_PK PRIMARY KEY (id,sid_assign)
;
-- ----------------------------------------------------------------
-- リマインダー共通設定
-- ----------------------------------------------------------------
CREATE TABLE TM_REMINDER_SETTING (
    created_time                    CHAR(14) NOT NULL ,
    updated_time                    CHAR(14) NOT NULL ,
    page_limit                      DECIMAL(3) 
    )
;

-- ----------------------------------------------------------------
-- リマインダー個人設定
-- ----------------------------------------------------------------
CREATE TABLE TMPR_REMINDER_SETTING (
    user_id                         CHAR(12) NOT NULL ,
    created_time                    CHAR(14) NOT NULL ,
    updated_time                    CHAR(14) NOT NULL ,
    page_limit                      DECIMAL(3) 
    )
;

ALTER TABLE TMPR_REMINDER_SETTING
    ADD CONSTRAINT TMPR_REMINDER_SETTING_PK PRIMARY KEY (user_id)
;