-- ----------------------------------------------------------------
-- トピック情報
-- ----------------------------------------------------------------
CREATE TABLE TT_TOPIC (
    id                              CHAR(12) NOT NULL ,
    created_time                    CHAR(14) NOT NULL ,
    updated_time                    CHAR(14) NOT NULL ,
    created_by                      CHAR(12) NOT NULL ,
    state_                          CHAR(1) NOT NULL ,
    name_                           VARCHAR(100) NOT NULL ,
    memo_                           VARCHAR(500) ,
    chat_id                         CHAR(12) NOT NULL
    )
;

ALTER TABLE TT_TOPIC
    ADD CONSTRAINT TT_TOPIC_PK PRIMARY KEY (id)
;

-- ----------------------------------------------------------------
-- トピックメッセージ所属情報
-- ----------------------------------------------------------------
CREATE TABLE TT_TOPIC_MESSAGE (
    id                              CHAR(12) NOT NULL,
    topic_id                        CHAR(12) NOT NULL,
    chat_id                         CHAR(12) NOT NULL
    )
;

ALTER TABLE TT_TOPIC_MESSAGE
    ADD CONSTRAINT TT_TOPIC_MESSAGE_PK PRIMARY KEY (id)
;

-- ----------------------------------------------------------------
-- トピック共通設定
-- ----------------------------------------------------------------
CREATE TABLE TM_TOPIC_SETTING (
    created_time                    CHAR(14) NOT NULL ,
    updated_time                    CHAR(14) NOT NULL ,
    use_topic                       CHAR(1) ,
    page_limit                      DECIMAL(3) 
    )
;

-- ----------------------------------------------------------------
-- トピック個人設定
-- ----------------------------------------------------------------
CREATE TABLE TMPR_TOPIC_SETTING (
    user_id                         CHAR(12) NOT NULL ,
    created_time                    CHAR(14) NOT NULL ,
    updated_time                    CHAR(14) NOT NULL ,
    page_limit                      DECIMAL(3) 
    )
;

ALTER TABLE TMPR_TOPIC_SETTING
    ADD CONSTRAINT TMPR_TOPIC_SETTING_PK PRIMARY KEY (user_id)
;
